<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackState Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_track_state.html">TrackState</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_track_state-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackState Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_track_state_8h_source.html">TrackState.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac9581fe51d3584111722093ace8aeca8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#ac9581fe51d3584111722093ace8aeca8">TrackState</a> ()</td></tr>
<tr class="memdesc:ac9581fe51d3584111722093ace8aeca8"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#ac9581fe51d3584111722093ace8aeca8">More...</a><br /></td></tr>
<tr class="separator:ac9581fe51d3584111722093ace8aeca8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a253379a3a95f6981306e092da0e42153"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a253379a3a95f6981306e092da0e42153">TrackState</a> (int <a class="el" href="classeic_1_1_track_state.html#a4ff86c39fee562a817d51787bc33476d">location</a>, float <a class="el" href="classeic_1_1_track_state.html#a8c3a4fb0b56f4c00ee401373fa5c23b0">d0</a>, float <a class="el" href="classeic_1_1_track_state.html#a9b47d98f550c7ecbc6501896bf684ea4">phi</a>, float <a class="el" href="classeic_1_1_track_state.html#a4a2311194941e316ee35d0b44e626a4e">omega</a>, float <a class="el" href="classeic_1_1_track_state.html#aad57c3208b5c7de36b78a35dbaa6312f">z0</a>, float <a class="el" href="classeic_1_1_track_state.html#ad610068523aea291bddbecffa78e2e66">tanLambda</a>, std::array&lt; float, 3 &gt; <a class="el" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">referencePoint</a>)</td></tr>
<tr class="separator:a253379a3a95f6981306e092da0e42153"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4993ae4c9bd4947c3e8b8a7945d49fea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a4993ae4c9bd4947c3e8b8a7945d49fea">TrackState</a> (<a class="el" href="classeic_1_1_track_state_obj.html">TrackStateObj</a> *obj)</td></tr>
<tr class="memdesc:a4993ae4c9bd4947c3e8b8a7945d49fea"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_track_state_obj.html">TrackStateObj</a>  <a href="#a4993ae4c9bd4947c3e8b8a7945d49fea">More...</a><br /></td></tr>
<tr class="separator:a4993ae4c9bd4947c3e8b8a7945d49fea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58cb3c5d4854fff9813ad3438a48bb72"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a58cb3c5d4854fff9813ad3438a48bb72">TrackState</a> (const <a class="el" href="classeic_1_1_track_state.html">TrackState</a> &amp;other)</td></tr>
<tr class="memdesc:a58cb3c5d4854fff9813ad3438a48bb72"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#a58cb3c5d4854fff9813ad3438a48bb72">More...</a><br /></td></tr>
<tr class="separator:a58cb3c5d4854fff9813ad3438a48bb72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a8958d63d07422cce74a09441840c2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_track_state.html">TrackState</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a54a8958d63d07422cce74a09441840c2">operator=</a> (const <a class="el" href="classeic_1_1_track_state.html">TrackState</a> &amp;other)</td></tr>
<tr class="memdesc:a54a8958d63d07422cce74a09441840c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#a54a8958d63d07422cce74a09441840c2">More...</a><br /></td></tr>
<tr class="separator:a54a8958d63d07422cce74a09441840c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41f8551da1d5b5b369a8c19ea9c6550f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_track_state.html">TrackState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a41f8551da1d5b5b369a8c19ea9c6550f">clone</a> () const</td></tr>
<tr class="memdesc:a41f8551da1d5b5b369a8c19ea9c6550f"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#a41f8551da1d5b5b369a8c19ea9c6550f">More...</a><br /></td></tr>
<tr class="separator:a41f8551da1d5b5b369a8c19ea9c6550f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5063f4f3ed0e8e087d7d9a3880d4fe18"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a5063f4f3ed0e8e087d7d9a3880d4fe18">~TrackState</a> ()</td></tr>
<tr class="memdesc:a5063f4f3ed0e8e087d7d9a3880d4fe18"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#a5063f4f3ed0e8e087d7d9a3880d4fe18">More...</a><br /></td></tr>
<tr class="separator:a5063f4f3ed0e8e087d7d9a3880d4fe18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dfee88c179d962ce2c2b9a9f76902f6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a2dfee88c179d962ce2c2b9a9f76902f6">operator ConstTrackState</a> () const</td></tr>
<tr class="memdesc:a2dfee88c179d962ce2c2b9a9f76902f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">conversion to const object  <a href="#a2dfee88c179d962ce2c2b9a9f76902f6">More...</a><br /></td></tr>
<tr class="separator:a2dfee88c179d962ce2c2b9a9f76902f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ff86c39fee562a817d51787bc33476d"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a4ff86c39fee562a817d51787bc33476d">location</a> () const</td></tr>
<tr class="memdesc:a4ff86c39fee562a817d51787bc33476d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The location of the track state.  <a href="#a4ff86c39fee562a817d51787bc33476d">More...</a><br /></td></tr>
<tr class="separator:a4ff86c39fee562a817d51787bc33476d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c3a4fb0b56f4c00ee401373fa5c23b0"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a8c3a4fb0b56f4c00ee401373fa5c23b0">d0</a> () const</td></tr>
<tr class="memdesc:a8c3a4fb0b56f4c00ee401373fa5c23b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Impact parameter of the track in (r-phi).  <a href="#a8c3a4fb0b56f4c00ee401373fa5c23b0">More...</a><br /></td></tr>
<tr class="separator:a8c3a4fb0b56f4c00ee401373fa5c23b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b47d98f550c7ecbc6501896bf684ea4"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a9b47d98f550c7ecbc6501896bf684ea4">phi</a> () const</td></tr>
<tr class="memdesc:a9b47d98f550c7ecbc6501896bf684ea4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Phi of the track at the reference point.  <a href="#a9b47d98f550c7ecbc6501896bf684ea4">More...</a><br /></td></tr>
<tr class="separator:a9b47d98f550c7ecbc6501896bf684ea4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a2311194941e316ee35d0b44e626a4e"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a4a2311194941e316ee35d0b44e626a4e">omega</a> () const</td></tr>
<tr class="memdesc:a4a2311194941e316ee35d0b44e626a4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Omega is the signed curvature of the track in [1/mm].  <a href="#a4a2311194941e316ee35d0b44e626a4e">More...</a><br /></td></tr>
<tr class="separator:a4a2311194941e316ee35d0b44e626a4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad57c3208b5c7de36b78a35dbaa6312f"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#aad57c3208b5c7de36b78a35dbaa6312f">z0</a> () const</td></tr>
<tr class="memdesc:aad57c3208b5c7de36b78a35dbaa6312f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Impact parameter of the track in (r-z).  <a href="#aad57c3208b5c7de36b78a35dbaa6312f">More...</a><br /></td></tr>
<tr class="separator:aad57c3208b5c7de36b78a35dbaa6312f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad610068523aea291bddbecffa78e2e66"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#ad610068523aea291bddbecffa78e2e66">tanLambda</a> () const</td></tr>
<tr class="memdesc:ad610068523aea291bddbecffa78e2e66"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Lambda is the dip angle of the track in r-z at the reference point.  <a href="#ad610068523aea291bddbecffa78e2e66">More...</a><br /></td></tr>
<tr class="separator:ad610068523aea291bddbecffa78e2e66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf9411484d0a9acc55d129d66583df44"><td class="memItemLeft" align="right" valign="top">const std::array&lt; float, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#adf9411484d0a9acc55d129d66583df44">referencePoint</a> () const</td></tr>
<tr class="memdesc:adf9411484d0a9acc55d129d66583df44"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Reference point of the track parameters.  <a href="#adf9411484d0a9acc55d129d66583df44">More...</a><br /></td></tr>
<tr class="separator:adf9411484d0a9acc55d129d66583df44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79e425dd1369c1799e65302966ecb1be"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a79e425dd1369c1799e65302966ecb1be">referencePoint</a> (size_t i) const</td></tr>
<tr class="memdesc:a79e425dd1369c1799e65302966ecb1be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the Reference point of the track parameters.  <a href="#a79e425dd1369c1799e65302966ecb1be">More...</a><br /></td></tr>
<tr class="separator:a79e425dd1369c1799e65302966ecb1be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa315e7d0aee8a0cde6e0dc970a4520e8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#aa315e7d0aee8a0cde6e0dc970a4520e8">location</a> (int value)</td></tr>
<tr class="memdesc:aa315e7d0aee8a0cde6e0dc970a4520e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The location of the track state.  <a href="#aa315e7d0aee8a0cde6e0dc970a4520e8">More...</a><br /></td></tr>
<tr class="separator:aa315e7d0aee8a0cde6e0dc970a4520e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d2dbdf97dd989ccc7f2bbf54942b260"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a3d2dbdf97dd989ccc7f2bbf54942b260">d0</a> (float value)</td></tr>
<tr class="memdesc:a3d2dbdf97dd989ccc7f2bbf54942b260"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Impact parameter of the track in (r-phi).  <a href="#a3d2dbdf97dd989ccc7f2bbf54942b260">More...</a><br /></td></tr>
<tr class="separator:a3d2dbdf97dd989ccc7f2bbf54942b260"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa03627165685946e8e5c58766ab81485"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#aa03627165685946e8e5c58766ab81485">phi</a> (float value)</td></tr>
<tr class="memdesc:aa03627165685946e8e5c58766ab81485"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Phi of the track at the reference point.  <a href="#aa03627165685946e8e5c58766ab81485">More...</a><br /></td></tr>
<tr class="separator:aa03627165685946e8e5c58766ab81485"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad401db4c65ce483e23fdf73ba8622026"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#ad401db4c65ce483e23fdf73ba8622026">omega</a> (float value)</td></tr>
<tr class="memdesc:ad401db4c65ce483e23fdf73ba8622026"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Omega is the signed curvature of the track in [1/mm].  <a href="#ad401db4c65ce483e23fdf73ba8622026">More...</a><br /></td></tr>
<tr class="separator:ad401db4c65ce483e23fdf73ba8622026"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a978e4e161dac66ad65df696fed08f261"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a978e4e161dac66ad65df696fed08f261">z0</a> (float value)</td></tr>
<tr class="memdesc:a978e4e161dac66ad65df696fed08f261"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Impact parameter of the track in (r-z).  <a href="#a978e4e161dac66ad65df696fed08f261">More...</a><br /></td></tr>
<tr class="separator:a978e4e161dac66ad65df696fed08f261"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9927082b80c67520d2d0ca6fb02ae1e1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a9927082b80c67520d2d0ca6fb02ae1e1">tanLambda</a> (float value)</td></tr>
<tr class="memdesc:a9927082b80c67520d2d0ca6fb02ae1e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Lambda is the dip angle of the track in r-z at the reference point.  <a href="#a9927082b80c67520d2d0ca6fb02ae1e1">More...</a><br /></td></tr>
<tr class="separator:a9927082b80c67520d2d0ca6fb02ae1e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a537c11d03265091dd3a4267ab8924c23"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a537c11d03265091dd3a4267ab8924c23">referencePoint</a> (std::array&lt; float, 3 &gt; value)</td></tr>
<tr class="memdesc:a537c11d03265091dd3a4267ab8924c23"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Reference point of the track parameters.  <a href="#a537c11d03265091dd3a4267ab8924c23">More...</a><br /></td></tr>
<tr class="separator:a537c11d03265091dd3a4267ab8924c23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c007af118bfa19c9150a53347b71c93"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a5c007af118bfa19c9150a53347b71c93">referencePoint</a> (size_t i, float value)</td></tr>
<tr class="separator:a5c007af118bfa19c9150a53347b71c93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8581ddf6b56bb9bea1e08d46e1b2f27"><td class="memItemLeft" align="right" valign="top">std::array&lt; float, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#ab8581ddf6b56bb9bea1e08d46e1b2f27">referencePoint</a> ()</td></tr>
<tr class="memdesc:ab8581ddf6b56bb9bea1e08d46e1b2f27"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get reference to Reference point of the track parameters.  <a href="#ab8581ddf6b56bb9bea1e08d46e1b2f27">More...</a><br /></td></tr>
<tr class="separator:ab8581ddf6b56bb9bea1e08d46e1b2f27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b02d5cb1760d583b6c094de6eddc977"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a0b02d5cb1760d583b6c094de6eddc977">isAvailable</a> () const</td></tr>
<tr class="memdesc:a0b02d5cb1760d583b6c094de6eddc977"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#a0b02d5cb1760d583b6c094de6eddc977">More...</a><br /></td></tr>
<tr class="separator:a0b02d5cb1760d583b6c094de6eddc977"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18878ebd328d7f2aa9ba1d57ce881392"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a18878ebd328d7f2aa9ba1d57ce881392">unlink</a> ()</td></tr>
<tr class="memdesc:a18878ebd328d7f2aa9ba1d57ce881392"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_track_state_obj.html">TrackStateObj</a> instance  <a href="#a18878ebd328d7f2aa9ba1d57ce881392">More...</a><br /></td></tr>
<tr class="separator:a18878ebd328d7f2aa9ba1d57ce881392"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74e8360dbf4931adc2c299c4573c29fd"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a74e8360dbf4931adc2c299c4573c29fd">operator==</a> (const <a class="el" href="classeic_1_1_track_state.html">TrackState</a> &amp;other) const</td></tr>
<tr class="separator:a74e8360dbf4931adc2c299c4573c29fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a945b903a2465d1afed3e76d541646107"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a945b903a2465d1afed3e76d541646107">operator==</a> (const <a class="el" href="classeic_1_1_const_track_state.html">ConstTrackState</a> &amp;other) const</td></tr>
<tr class="separator:a945b903a2465d1afed3e76d541646107"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c7898bf865060636d77cdb0b7cfdf28"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#a6c7898bf865060636d77cdb0b7cfdf28">operator&lt;</a> (const <a class="el" href="classeic_1_1_track_state.html">TrackState</a> &amp;other) const</td></tr>
<tr class="separator:a6c7898bf865060636d77cdb0b7cfdf28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5cb63b65744743fc548d92a9e4913ad"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#ae5cb63b65744743fc548d92a9e4913ad">id</a> () const</td></tr>
<tr class="separator:ae5cb63b65744743fc548d92a9e4913ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6fbadc02504302dcd4311f28e6f0e69"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_state.html#ab6fbadc02504302dcd4311f28e6f0e69">getObjectID</a> () const</td></tr>
<tr class="separator:ab6fbadc02504302dcd4311f28e6f0e69"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC track state </p><dl class="section author"><dt>Author</dt><dd>: F.Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_track_state_8h_source.html#l00026">26</a> of file <a class="el" href="_track_state_8h_source.html">TrackState.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac9581fe51d3584111722093ace8aeca8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9581fe51d3584111722093ace8aeca8">&#9670;&nbsp;</a></span>TrackState() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackState::TrackState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00016">16</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

</div>
</div>
<a id="a253379a3a95f6981306e092da0e42153"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a253379a3a95f6981306e092da0e42153">&#9670;&nbsp;</a></span>TrackState() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackState::TrackState </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>location</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>d0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>phi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>omega</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>z0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>tanLambda</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; float, 3 &gt;&#160;</td>
          <td class="paramname"><em>referencePoint</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00020">20</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_data_8h_source.html#l00018">eic::TrackStateData::d0</a>, <a class="el" href="_track_state_8cc_source.html#l00055">d0()</a>, <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, <a class="el" href="_track_state_data_8h_source.html#l00017">eic::TrackStateData::location</a>, <a class="el" href="_track_state_8cc_source.html#l00054">location()</a>, <a class="el" href="_track_state_data_8h_source.html#l00020">eic::TrackStateData::omega</a>, <a class="el" href="_track_state_8cc_source.html#l00057">omega()</a>, <a class="el" href="_track_state_data_8h_source.html#l00019">eic::TrackStateData::phi</a>, <a class="el" href="_track_state_8cc_source.html#l00056">phi()</a>, <a class="el" href="_track_state_data_8h_source.html#l00023">eic::TrackStateData::referencePoint</a>, <a class="el" href="_track_state_8cc_source.html#l00060">referencePoint()</a>, <a class="el" href="_track_state_data_8h_source.html#l00022">eic::TrackStateData::tanLambda</a>, <a class="el" href="_track_state_8cc_source.html#l00059">tanLambda()</a>, <a class="el" href="_track_state_data_8h_source.html#l00021">eic::TrackStateData::z0</a>, and <a class="el" href="_track_state_8cc_source.html#l00058">z0()</a>.</p>

</div>
</div>
<a id="a4993ae4c9bd4947c3e8b8a7945d49fea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4993ae4c9bd4947c3e8b8a7945d49fea">&#9670;&nbsp;</a></span>TrackState() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackState::TrackState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_track_state_obj.html">TrackStateObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_track_state_obj.html">TrackStateObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00041">41</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

</div>
</div>
<a id="a58cb3c5d4854fff9813ad3438a48bb72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58cb3c5d4854fff9813ad3438a48bb72">&#9670;&nbsp;</a></span>TrackState() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackState::TrackState </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_track_state.html">TrackState</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00031">31</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

</div>
</div>
<a id="a5063f4f3ed0e8e087d7d9a3880d4fe18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5063f4f3ed0e8e087d7d9a3880d4fe18">&#9670;&nbsp;</a></span>~TrackState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackState::~TrackState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00049">49</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a41f8551da1d5b5b369a8c19ea9c6550f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41f8551da1d5b5b369a8c19ea9c6550f">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_track_state.html">TrackState</a> eic::TrackState::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00045">45</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

</div>
</div>
<a id="a8c3a4fb0b56f4c00ee401373fa5c23b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c3a4fb0b56f4c00ee401373fa5c23b0">&#9670;&nbsp;</a></span>d0() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::TrackState::d0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Impact parameter of the track in (r-phi). </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00055">55</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_data_8h_source.html#l00018">eic::TrackStateData::d0</a>, and <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_8cc_source.html#l00020">TrackState()</a>.</p>

</div>
</div>
<a id="a3d2dbdf97dd989ccc7f2bbf54942b260"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d2dbdf97dd989ccc7f2bbf54942b260">&#9670;&nbsp;</a></span>d0() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackState::d0 </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Impact parameter of the track in (r-phi). </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00065">65</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_data_8h_source.html#l00018">eic::TrackStateData::d0</a>, and <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>.</p>

</div>
</div>
<a id="ab6fbadc02504302dcd4311f28e6f0e69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6fbadc02504302dcd4311f28e6f0e69">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::TrackState::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00087">87</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_8h_source.html#l00122">id()</a>.</p>

</div>
</div>
<a id="ae5cb63b65744743fc548d92a9e4913ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5cb63b65744743fc548d92a9e4913ad">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::TrackState::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_8h_source.html#l00122">122</a> of file <a class="el" href="_track_state_8h_source.html">TrackState.h</a>.</p>

<p class="reference">References <a class="el" href="_track_state_8cc_source.html#l00087">getObjectID()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a0b02d5cb1760d583b6c094de6eddc977"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b02d5cb1760d583b6c094de6eddc977">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackState::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00080">80</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

</div>
</div>
<a id="a4ff86c39fee562a817d51787bc33476d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ff86c39fee562a817d51787bc33476d">&#9670;&nbsp;</a></span>location() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int &amp; eic::TrackState::location </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The location of the track state. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00054">54</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00017">eic::TrackStateData::location</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_8cc_source.html#l00020">TrackState()</a>.</p>

</div>
</div>
<a id="aa315e7d0aee8a0cde6e0dc970a4520e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa315e7d0aee8a0cde6e0dc970a4520e8">&#9670;&nbsp;</a></span>location() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackState::location </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The location of the track state. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00064">64</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00017">eic::TrackStateData::location</a>.</p>

</div>
</div>
<a id="a4a2311194941e316ee35d0b44e626a4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a2311194941e316ee35d0b44e626a4e">&#9670;&nbsp;</a></span>omega() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::TrackState::omega </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Omega is the signed curvature of the track in [1/mm]. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00057">57</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00020">eic::TrackStateData::omega</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_8cc_source.html#l00020">TrackState()</a>.</p>

</div>
</div>
<a id="ad401db4c65ce483e23fdf73ba8622026"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad401db4c65ce483e23fdf73ba8622026">&#9670;&nbsp;</a></span>omega() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackState::omega </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Omega is the signed curvature of the track in [1/mm]. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00067">67</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00020">eic::TrackStateData::omega</a>.</p>

</div>
</div>
<a id="a2dfee88c179d962ce2c2b9a9f76902f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dfee88c179d962ce2c2b9a9f76902f6">&#9670;&nbsp;</a></span>operator ConstTrackState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackState::operator <a class="el" href="classeic_1_1_const_track_state.html">ConstTrackState</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>conversion to const object </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00052">52</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

</div>
</div>
<a id="a6c7898bf865060636d77cdb0b7cfdf28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c7898bf865060636d77cdb0b7cfdf28">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackState::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_track_state.html">TrackState</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_8h_source.html#l00120">120</a> of file <a class="el" href="_track_state_8h_source.html">TrackState.h</a>.</p>

</div>
</div>
<a id="a54a8958d63d07422cce74a09441840c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54a8958d63d07422cce74a09441840c2">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_track_state.html">TrackState</a> &amp; eic::TrackState::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_track_state.html">TrackState</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00035">35</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

</div>
</div>
<a id="a74e8360dbf4931adc2c299c4573c29fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74e8360dbf4931adc2c299c4573c29fd">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackState::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_track_state.html">TrackState</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_8h_source.html#l00116">116</a> of file <a class="el" href="_track_state_8h_source.html">TrackState.h</a>.</p>

</div>
</div>
<a id="a945b903a2465d1afed3e76d541646107"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a945b903a2465d1afed3e76d541646107">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackState::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_track_state.html">ConstTrackState</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00094">94</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

</div>
</div>
<a id="a9b47d98f550c7ecbc6501896bf684ea4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b47d98f550c7ecbc6501896bf684ea4">&#9670;&nbsp;</a></span>phi() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::TrackState::phi </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Phi of the track at the reference point. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00056">56</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00019">eic::TrackStateData::phi</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_8cc_source.html#l00020">TrackState()</a>.</p>

</div>
</div>
<a id="aa03627165685946e8e5c58766ab81485"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa03627165685946e8e5c58766ab81485">&#9670;&nbsp;</a></span>phi() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackState::phi </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Phi of the track at the reference point. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00066">66</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00019">eic::TrackStateData::phi</a>.</p>

</div>
</div>
<a id="adf9411484d0a9acc55d129d66583df44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf9411484d0a9acc55d129d66583df44">&#9670;&nbsp;</a></span>referencePoint() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, 3 &gt; &amp; eic::TrackState::referencePoint </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Reference point of the track parameters. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00060">60</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00023">eic::TrackStateData::referencePoint</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_8cc_source.html#l00020">TrackState()</a>.</p>

</div>
</div>
<a id="a79e425dd1369c1799e65302966ecb1be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79e425dd1369c1799e65302966ecb1be">&#9670;&nbsp;</a></span>referencePoint() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::TrackState::referencePoint </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the Reference point of the track parameters. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00061">61</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00023">eic::TrackStateData::referencePoint</a>.</p>

</div>
</div>
<a id="a537c11d03265091dd3a4267ab8924c23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a537c11d03265091dd3a4267ab8924c23">&#9670;&nbsp;</a></span>referencePoint() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackState::referencePoint </td>
          <td>(</td>
          <td class="paramtype">std::array&lt; float, 3 &gt;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Reference point of the track parameters. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00070">70</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00023">eic::TrackStateData::referencePoint</a>.</p>

</div>
</div>
<a id="a5c007af118bfa19c9150a53347b71c93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c007af118bfa19c9150a53347b71c93">&#9670;&nbsp;</a></span>referencePoint() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackState::referencePoint </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00071">71</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00023">eic::TrackStateData::referencePoint</a>.</p>

</div>
</div>
<a id="ab8581ddf6b56bb9bea1e08d46e1b2f27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8581ddf6b56bb9bea1e08d46e1b2f27">&#9670;&nbsp;</a></span>referencePoint() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt; float, 3 &gt; &amp; eic::TrackState::referencePoint </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get reference to Reference point of the track parameters. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00072">72</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00023">eic::TrackStateData::referencePoint</a>.</p>

</div>
</div>
<a id="ad610068523aea291bddbecffa78e2e66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad610068523aea291bddbecffa78e2e66">&#9670;&nbsp;</a></span>tanLambda() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::TrackState::tanLambda </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Lambda is the dip angle of the track in r-z at the reference point. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00059">59</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00022">eic::TrackStateData::tanLambda</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_8cc_source.html#l00020">TrackState()</a>.</p>

</div>
</div>
<a id="a9927082b80c67520d2d0ca6fb02ae1e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9927082b80c67520d2d0ca6fb02ae1e1">&#9670;&nbsp;</a></span>tanLambda() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackState::tanLambda </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Lambda is the dip angle of the track in r-z at the reference point. </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00069">69</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00022">eic::TrackStateData::tanLambda</a>.</p>

</div>
</div>
<a id="a18878ebd328d7f2aa9ba1d57ce881392"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18878ebd328d7f2aa9ba1d57ce881392">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackState::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_track_state_obj.html">TrackStateObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8h_source.html#l00114">114</a> of file <a class="el" href="_track_state_8h_source.html">TrackState.h</a>.</p>

</div>
</div>
<a id="aad57c3208b5c7de36b78a35dbaa6312f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad57c3208b5c7de36b78a35dbaa6312f">&#9670;&nbsp;</a></span>z0() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::TrackState::z0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Impact parameter of the track in (r-z). </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00058">58</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00021">eic::TrackStateData::z0</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_state_8cc_source.html#l00020">TrackState()</a>.</p>

</div>
</div>
<a id="a978e4e161dac66ad65df696fed08f261"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a978e4e161dac66ad65df696fed08f261">&#9670;&nbsp;</a></span>z0() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackState::z0 </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Impact parameter of the track in (r-z). </p>

<p class="definition">Definition at line <a class="el" href="_track_state_8cc_source.html#l00068">68</a> of file <a class="el" href="_track_state_8cc_source.html">TrackState.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_state_obj_8h_source.html#l00030">eic::TrackStateObj::data</a>, and <a class="el" href="_track_state_data_8h_source.html#l00021">eic::TrackStateData::z0</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_track_state_8h_source.html">TrackState.h</a></li>
<li>src/<a class="el" href="_track_state_8cc_source.html">TrackState.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
